Loading...
Searching...
No Matches
casacore::details::CyclicPtr< T >::Data Struct Reference

## Public Member Functions

| Data (T *object)

## Public Attributes

T * | object_
std::atomic< unsigned > | counter_

## Detailed Description

template<typename T>
struct casacore::details::CyclicPtr< T >::Data

Definition at line 157 of file CyclicPtr.h.

## Constructor & Destructor Documentation

## Data()

template<typename T>

casacore::details::CyclicPtr< T >::Data::Data | ( | T * | object | ) |

inline

Definition at line 158 of file CyclicPtr.h.

References object_.

## Member Data Documentation

## counter_

template<typename T>

std::atomic<unsigned> casacore::details::CyclicPtr< T >::Data::counter_

Definition at line 162 of file CyclicPtr.h.

## object_

template<typename T>

T* casacore::details::CyclicPtr< T >::Data::object_

Definition at line 161 of file CyclicPtr.h.

Referenced by Data().

The documentation for this struct was generated from the following file:

- measures/Measures/CyclicPtr.h